- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# sum.hh File Reference

Summing of automata. More...

Include dependency graph for sum.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename A, typename T, typename U>
void | sum_here (Element< A, T > &lhs, const Element< A, U > &rhs)
| In place summing of two automata.
template<typename A, typename T, typename U>
Element< A, T > | sum (const Element< A, T > &lhs, const Element< A, U > &rhs)
| Summing of two automata.

## Detailed Description

Summing of automata.

Functions to sum two automata.

See also:
  sum(), sum_here()

Definition in file sum.hh.